

Name:       kcharselect
Summary:    Select special characters from any font
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2
URL:        http://utils.kde.org/projects/kcharselect
Source0:    http://download.kde.org/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kxmlgui-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
KCharSelect is a tool to select special characters from all installed
fonts and copy them into the clipboard.

%files
%_kf5_bindir/kcharselect
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/locale
/usr/share/metainfo/org.kde.kcharselect.appdata.xml

#------------------------------------------------------------------------------

%package -n kcharselect-handbook
Summary: kcharselect Handbook
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n kcharselect-handbook
This package provides kcharselect Handbook.

%files -n kcharselect-handbook
%doc COPYING
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja  -DKDE4_ENABLE_FINAL=ON
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

